package com.sonic.common.auth;

import com.sonic.common.rpc.ApiResultCode;
import com.sonic.common.rpc.GlobalResultCode;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author code
 */
@AllArgsConstructor
@Getter
public enum AuthResultCode implements ApiResultCode {

    /**
     * 前 4 位为服务id，全局 id 为 "0000"，errorCode 的区间范围在 000 -> 099
     */
    API_AUTH_NOT_SUPPORTED("0000100", "不支持的认证方式"),
    API_AUTH_TOKEN_EXPIRED("0000101", "Token过期"),
    API_AUTH_TOKEN_INVALID("0000102", "Token不合法"),
    ;

    private String errorCode;
    private String errorMsg;

    @Override
    public String getAppId() {
        return GlobalResultCode.GLOBAL_APP_ID;
    }

}
